C++ Client implementation for Cloud Pub/Sub service (TIPS)
(https://developers.google.com/apis-explorer/#p/pubsub/v1beta1/).

"Google Cloud Pub/Sub" API needs to be enabled at
https://console.developers.google.com/project to open the access for a client. 
Select the project name, select the "APIs" under "APIs & auth", and turn
on "Google Cloud Pub/Sub" API. 

To run the client from Google Compute Engine (GCE), the GCE instance needs to
be created with scope "https://www.googleapis.com/auth/cloud-platform" as below:

gcloud compute instances create instance-name 
    --image debian-7 --scopes https://www.googleapis.com/auth/cloud-platform
   
To run the client from GCE:
make tips_client
bins/opt/tips_client --project_id="your project id"
    
A service account credential is required to run the client from other
environments, which can be generated as a JSON key file from
https://console.developers.google.com/project/. To run the client with a service 
account credential:

bins/opt/tips_client
    --project_id="your project id"
    --service_account_key_file="absolute path to the JSON key file"
